Package org.apache.sis.metadata.iso.quality

# Class AbstractThematicAccuracy

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractElement
AbstractThematicAccuracy

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `Element`, `ThematicAccuracy`

Direct Known Subclasses:
  `DefaultNonQuantitativeAttributeAccuracy`, `DefaultQuantitativeAttributeAccuracy`, `DefaultThematicClassificationCorrectness`

public class AbstractThematicAccuracy extends AbstractElement implements ThematicAccuracy
Accuracy of quantitative attributes and the correctness of non-quantitative attributes and of the classifications of features and their relationships. The following property is mandatory in a well-formed metadata according ISO 19115:
`DQ_ThematicAccuracy` `└─result……………` Value obtained from applying a data quality measure.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

Defined in the `sis-metadata` module

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractThematicAccuracy()`
  Constructs an initially empty thematic accuracy.
  `AbstractThematicAccuracy(ThematicAccuracy object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractThematicAccuracy`
  `castOrCopy(ThematicAccuracy object)`
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.

  ### Methods inherited from class AbstractElement

  `castOrCopy, getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults, setDates, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setMeasureDescription, setMeasureIdentification, setNamesOfMeasure, setResults`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Element

  `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getMeasureDescription, getMeasureIdentification, getNamesOfMeasure, getResults`

- ## Constructor Details

  - ### AbstractThematicAccuracy

    public AbstractThematicAccuracy()
    Constructs an initially empty thematic accuracy.

  - ### AbstractThematicAccuracy

    public AbstractThematicAccuracy(ThematicAccuracy object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(ThematicAccuracy)`

- ## Method Details

  - ### castOrCopy

    public static AbstractThematicAccuracy castOrCopy(ThematicAccuracy object)
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is an instance of `QuantitativeAttributeAccuracy`, `NonQuantitativeAttributeAccuracy` or `ThematicClassificationCorrectness`, then this method delegates to the `castOrCopy(…)` method of the corresponding SIS subclass. Note that if the given object implements more than one of the above-cited interfaces, then the `castOrCopy(…)` method to be used is unspecified.
    - Otherwise if the given object is already an instance of `AbstractThematicAccuracy`, then it is returned unchanged.
    - Otherwise a new `AbstractThematicAccuracy` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.